Bug 1007182 - (CVE-2013-5718) CVE-2013-5718 wireshark: NBAP dissector crash (wnpa-sec-2013-55, upstream bug 9005)
CVE-2013-5718 wireshark: NBAP dissector crash (wnpa-sec-2013-55, upstream bug...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130910,reported=2...
: Security
Depends On: 1007254 1007256 1007278
Blocks: 1007214
  Show dependency treegraph
 
Reported: 2013-09-12 00:59 EDT by Murray McAllister
Modified: 2015-10-15 14:00 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-13 00:43:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2013-09-12 00:59:57 EDT
Laurent Butti discovered a flaw in the Wireshark NBAP dissector. Wireshark could crash if it read a malformed packet off a network, or opened a malicious dump file. This issue affects Wireshark versions 1.10.0 to 1.10.1 and 1.8.0 to 1.8.9. It is fixed in versions 1.10.2 and 1.8.10.

References:

https://www.wireshark.org/security/wnpa-sec-2013-55.html
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=9005
1.10 fix: http://anonsvn.wireshark.org/viewvc?view=revision&revision=51228
1.8 fix: http://anonsvn.wireshark.org/viewvc?view=revision&revision=51230
Comment 1 Murray McAllister 2013-09-12 04:12:28 EDT
Created wireshark tracking bugs for this issue:

Affects: fedora-all [bug 1007256]
Comment 3 Huzaifa S. Sidhpurwala 2013-09-13 00:17:12 EDT
Statement:

Not Vulnerable. This issue does not affect the version of wireshark as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 4 Huzaifa S. Sidhpurwala 2013-09-13 00:43:57 EDT
This issue affects the version of wireshark as shipped with Fedora 18 and 19.

Note You need to log in before you can comment on or make changes to this bug.